library(hht)
load("tremor.RData")
sig <- tremor$sig
dt <- tremor$dt
tt <- seq_len(length(sig)) * dt
main <- "REVENTADOR 9024 V 2005-09-09 06:28:00.00"
ft <- list()
ft$nfft <- 8192   ###  fft length
ft$ns <- 1000     ###  number of samples in a window
ft$nov<-980    ###  number of samples of overlap per window
time.span<-c(0, 650)
freq.span<-c(0, 6)
amp.span <- c(0.25, 10)
colormap=rev(gray(0:400/500))
backcol=rep(255, 3)

postscript(file = "figure_07_bw.eps")
FTGramImage(sig, dt, ft, time.span = time.span,
   freq.span = freq.span, amp.span = amp.span, main=main,
   colormap = colormap, backcol = backcol,
   img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)", 
   img.x.format = "%.f", img.y.format = "%.f", colorbar.format = "%.1f",
   trace.format = "%.02f", pretty.x.n = 14, pretty = TRUE)
dev.off()

postscript(file = "figure_07_col.eps")
FTGramImage(sig, dt, ft, time.span = time.span,
   freq.span = freq.span, amp.span = amp.span, main=main,
   img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
   img.x.format = "%.f", img.y.format = "%.f", colorbar.format = "%.1f",
   trace.format = "%.02f", pretty.x.n = 14, pretty = TRUE)
dev.off()

