library(hht)

trials.dir <- "tremor_eemd"
trials <- 500 #Reduce this number to speed things up
nimf <- 15

eemd.result <- EEMDCompile(trials.dir, trials, nimf)

freq.span <- c(0, 6)
dfreq <- 0.1
hgram <- HHRender(eemd.result, dt, dfreq, freq.span = freq.span)


main <- "REVENTADOR 9024 V 2005-09-09 06:28:00.00"

time.span <- c(0, 650)
freq.span <- c(0, 6)
amp.span <- c(0.0005, 0.02)
cluster.span <- c(10, 1000)

colormap=rev(gray(0:300/500))
backcol=rep(255, 3)


jpeg(file="../figure_09_bw.jpeg",  width=2000, height=2000, quality=100)
HHGramImage(hgram, time.span = time.span,
    freq.span = freq.span, amp.span = amp.span,
    cluster.span = cluster.span, main=main,
    img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
    img.x.format = "%.0f", img.y.format = "%.0f",
    trace.format = "%.2f",
    cex.lab = 4, cex.colorbar = 2, cex.trace = 2, cex.main = 4,
    colormap = colormap, backcol = backcol, pretty = TRUE)
dev.off()

amp.span <- c(0.00075, 0.03)

jpeg(file="../figure_09_col.jpeg",  width=2000, height=2000, quality=100)
HHGramImage(hgram, time.span = time.span,
    freq.span = freq.span, amp.span = amp.span,
    cluster.span = cluster.span, main=main,
    img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
    img.x.format = "%.0f", img.y.format = "%.0f",
    cex.lab = 4, cex.colorbar = 2, cex.trace = 2, cex.main = 4,
    trace.format = "%.2f", pretty = TRUE)
dev.off()
