library(hht)

trials.dir <- "tremor_eemd"
trials <- 500
nimf <- 10

eemd.result <- EEMDCompile(trials.dir, trials, nimf)

dfreq <- 0.05
freq.span <- c(0, 4)
time.span <- c(454, 470)

hgram <- HHRender(eemd.result, dt, dfreq, freq.span = freq.span,
     time.span = time.span)

main <- "REVENTADOR 9024 V 2005-09-09 06:28:00.00"

colormap=rev(gray(0:500/500))
backcol=rep(255, 3)

time.span <- c(454, 470)
freq.span <- c(0,4)
amp.span <- c(0.008, 0.04)
cluster.span <- c(10, 1000)
postscript(file="../figure_10_bw.eps")
HHGramImage(hgram, time.span = time.span, freq.span = freq.span,
    amp.span = amp.span, cluster.span = cluster.span, main=main,
     backcol = backcol, colormap = colormap, pretty = TRUE,
     img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
     img.x.format = "%.0d", img.y.format = "%0d", colorbar.format = "%.03f",
     trace.format = "%.02f")
dev.off()

cluster.span <- c(8, 500)
amp.span <- c(0.008, 0.04)

postscript(file="../figure_10_col.eps")
HHGramImage(hgram, time.span = time.span, freq.span = freq.span,
    amp.span = amp.span, cluster.span = cluster.span, main=main,
     pretty = TRUE,
     img.x.lab = "Time (s)", img.y.lab = "Frequency (Hz)",
     img.x.format = "%.0d", img.y.format = "%0d", colorbar.format = "%.03f",
     trace.format = "%.02f")
dev.off()

