### LOAD DATA AND RUN ENSEMBLE EMPIRICAL MODE DECOMPOSITION ###

#THIS IS GOING TO TAKE A LONG TIME!


library(hht)

#Get data file
load("tremor.RData")
sig <- tremor$sig
dt <- tremor$dt
tt <- seq_len(length(sig)) * dt
main <- "REVENTADOR 9024 V 2005-09-09 06:28:00.00"

#Get noise range from EEMD.
#It appears that the signal consists of pure noise
#between 0 and 20 seconds
#so we use data from that interval to construct our
#white noise amplitudes

noisy <- sig[(1):(20/dt)]
noisy <- noisy-mean(noisy)
noise.amp <- max(abs(noisy))

trials <- 500 #Reduce this number to speed things up
nimf <- 15

trials.dir <- "tremor_eemd"

### BULD EEMD DATA SET FOR FIGS 8 AND 9 ###
#THIS WILL TAKE DAYS TO WEEKS

#Run EEMD
EEMD(sig, tt, noise.amp, trials, nimf, 
    trials.dir = trials.dir, tol = 3, max.sift = 100)

